Last Comment Bug 778324 - remove the limit on number of actions in the filter editor
: remove the limit on number of actions in the filter editor
Status: RESOLVED FIXED
: polish
Product: MailNews Core
Classification: Components
Component: Filters (show other bugs)
: Trunk
: All All
: -- minor (vote)
: Thunderbird 17.0
Assigned To: :aceman
:
Mentors:
Depends on:
Blocks: 862739
  Show dependency treegraph
 
Reported: 2012-07-27 15:37 PDT by :aceman
Modified: 2013-04-17 03:36 PDT (History)
5 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (2.76 KB, patch)
2012-07-27 15:53 PDT, :aceman
neil: review+
rkent: feedback+
Details | Diff | Review

Description :aceman 2012-07-27 15:37:19 PDT
The filter editor currently only allows to define a fixed number of actions. The number depends on the server type and equals the number of items visible in the dropdown menu where the actions are chosen from. E.g. it is 14 for POP3 and 11 for News.

In bug 541416 (and already before it) we allowed some actions to occur an unlimited number of times in a single filter. So being consistent, there should not be any arbitrary limit on the total number of actions. I have not seen bugs/reports of people hitting this hidden limit, but removing it seems like the right thing to do for correctness.
Comment 1 :aceman 2012-07-27 15:53:53 PDT
Created attachment 646746 [details] [diff] [review]
patch
Comment 2 neil@parkwaycc.co.uk 2012-07-30 13:46:15 PDT
Comment on attachment 646746 [details] [diff] [review]
patch

Seems reasonable.
Comment 3 Ludovic Hirlimann [:Usul] 2012-08-14 05:53:19 PDT
Aceman why didn't you set the checking needed keyword on this one ?
Comment 4 :aceman 2012-08-14 06:01:57 PDT
Comment on attachment 646746 [details] [diff] [review]
patch

I didn't want to land this without agreement from rkent.
I'll try to set a request type that he is more likely to accept ;)
Comment 5 Kent James (:rkent) 2012-08-14 11:22:15 PDT
Comment on attachment 646746 [details] [diff] [review]
patch

This also seems fine to me.
Comment 6 :aceman 2012-08-14 11:32:47 PDT
Thanks.
Comment 7 Ryan VanderMeulen [:RyanVM] 2012-08-14 16:25:22 PDT
https://hg.mozilla.org/comm-central/rev/2a0df861b5eb

Note You need to log in before you can comment on or make changes to this bug.